
QGIS Application - Feature request #13054

ability to create virtual band for raster layers

2015-07-01 02:05 AM - Mathieu Pellerin - nIRV

Status: Open

Priority: Normal

Assignee:

Category: Rasters

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 21126

Description

It'd be very useful for QGIS to be able to create virtual bands for raster layers, similar to virtual columns for vector layers. A virtual raster

band would use a mathematical formula (with access to a pixel values of other bands on of raster dataset) to create pixel values.

This would allow users to bypass the need to store additional rasters by dynamically computing the pixel value out of a formula. Scenarios

where this would be very useful:

- Dynamic creation of a Normalized Difference Vegetation Index (NDVI) band

- Dynamic creation of a SPOT-5 "blue" band

- Dynamic interpretation of SAR (i.e. radar) data

- Etc. etc. etc.

History

#1 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-11-26 01:06 PM - Johannes Kroeger

I want to voice my support of this feature request. Just had several intermediate files from playing with the raster calculator and also had to copy and paste

my expressions each time. It can be a tremendous time saver and enabler to dynamically adjust things. This would be a great feature!
